
static Widget make_app (char *label, Widget father, Widget *but)
{
  Widget p,l;

  p= XtVaCreateManagedWidget(label, xmFormWidgetClass, father, XmNborderWidth, 1, XmNtopAttachment, XmATTACH_FORM, NULL);
  l = make_label(label, p, BUTTON_HEIGHT, LABEL_PANEL_WIDTH , 3);
  *but = make_button (T_STOP, p, BUTTON_HEIGHT,  BUTTON_PANEL_WIDTH , 3 );
  XtVaSetValues(*but, XmNleftAttachment, XmATTACH_WIDGET, XmNleftWidget, l, NULL);

  return p;
}


static void make_devices_panel(Widget f)
{
  Widget b1, b2,p, b;
  
  p  = XtVaCreateManagedWidget("cccpanel_cadre", xmFormWidgetClass, f,
			       XmNrightAttachment, XmATTACH_FORM, XmNleftAttachment, XmATTACH_FORM,
 			       XmNtopAttachment, XmATTACH_FORM, XmNbottomAttachment,  XmATTACH_FORM,
			       NULL);
  
  b2 = make_label("    DEVICES    ", p, BUTTON_HEIGHT, PANEL_WIDTH, 3 );

  b1 = make_app (DEVICE1, p, &b);
  XtVaSetValues(b1, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b2, NULL);
  machine1_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine1, NULL); 

  b2 = make_app (DEVICE2, p, &b);
  XtVaSetValues(b2, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b1, NULL);
  machine2_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine2, NULL); 

  b1 = make_app (DEVICE3, p, &b);
  XtVaSetValues(b1, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b2, NULL);
  machine3_creat(b);  

  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine3, NULL); 

  b2 = make_app (DEVICE4, p, &b);
  XtVaSetValues(b2, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b1,NULL);
  machine4_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine4, NULL); 

  b1 = make_app (DEVICE5, p, &b);
  XtVaSetValues(b1, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b2,NULL);
  machine5_creat(b);  
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine5, NULL); 

  b2 = make_app (DEVICE6, p, &b);
  XtVaSetValues(b2, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b1,NULL);
  machine6_creat(b);  
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine6, NULL);

  b1 = make_app (DEVICE7, p, &b);
  XtVaSetValues(b1, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b2,NULL);
  machine7_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine7, NULL); 


  b2 = make_label("      FILES      ", p, BUTTON_HEIGHT, PANEL_WIDTH,3 );
  XtVaSetValues(b2, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b1,NULL);

  b1 = make_app (FILE1, p, &b);
  XtVaSetValues(b1, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b2,NULL);
  machine31_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine31, NULL); 
  
  b2 = make_app (FILE2, p, &b);
  XtVaSetValues(b2, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b1,NULL);
  machine32_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine32, NULL); 

  b1 = make_app (FILE3, p, &b);
  XtVaSetValues(b1, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b2,NULL);
  machine33_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine33, NULL); 
  
  b2 = make_app (FILE4, p, &b);
  XtVaSetValues(b2, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b1,NULL);
  machine34_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine34, NULL); 

  b1 = make_app (FILE5, p, &b);
  XtVaSetValues(b1, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b2,NULL);
  machine35_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine35, NULL); 
  
  b2 = make_app (FILE6, p, &b);
  XtVaSetValues(b2, XmNtopAttachment, XmATTACH_WIDGET, XmNtopWidget, b1,NULL);
  machine36_creat(b);
  XtAddCallback(b, XmNactivateCallback, (XtCallbackProc)inter_machine36, NULL); 

}

