process SecondDegree_TRA =
     ( ? event OK;
         real a, b, c;
       ! event err;
         real x21, x2;
     )
   pragmas 
      Main
   end pragmas
   (| (| CLK_stable := ^CLK_stable
       | ACT_CLK_stable{}
       |)
    | (| {c --> x21} when CLK_367
       | {c --> x2} when CLK_365
       | {b --> x21} when CLK_367
       | {b --> x2} when CLK_365
       | {a --> x21} when CLK_367
       | {a --> x2} when CLK_365
       |)
    |)
   where 
   constant real epsilon = 0.000001;
   event CLK_stable;
   process ACT_CLK_stable =
        ( )
      (| CLK_stable ^= stable ^= yy ^= next_yy ^= biterate ^= mx ^= pre_next_yy ^= next_stable ^= s ^= XZX_157
       | (| CLK_64 := when biterate
          | CLK_65 := when (not biterate)
          |)
       | (| CLK_81 := when (XZX_157>=0.0)
          | CLK_82 := when (not (XZX_157>=0.0))
          |)
       | (| CLK_x2 := when (next_stable and biterate)
          | CLK_x2 ^= x2 ^= x1
          | ACT_CLK_x2{}
          | CLK_89 := when (not (next_stable and biterate))
          |)
       | (| CLK_a := when stable
          | CLK_a ^= a ^= b ^= c
          | ACT_CLK_a{}
          | CLK_121 := when (not stable)
          |)
       | (| CLK_137 := CLK_x2 ^+ CLK_a |)
       | (| CLK_x21 := CLK_x2 ^+ CLK_x
          | CLK_x21 ^= x21
          | ACT_CLK_x21{}
          |)
       | (| CLK_XZX_178 := CLK_x2 ^+ OK
          | CLK_XZX_178 ^= XZX_178
          | (| XZX_178 := (bb when OK) cell CLK_XZX_178 init 0.0e0 |)
          |)
       | (| CLK_144 := CLK_stable ^- CLK_d |)
       | (| CLK_147 := CLK_x ^- CLK_x2 |)
       | (| CLK_331 := CLK_64 ^* CLK_d |)
       | (| CLK_365 := CLK_x2 ^* CLK_a |)
       | (| CLK_367 := CLK_a ^* CLK_x21 |)
       | (| stable := next_stable$1 init true
          | yy := ((d/2.0) when CLK_d) default (pre_next_yy when CLK_144)
          | next_yy := (((yy+(mx/yy))/2.0) when CLK_64) default (yy when CLK_65)
          | biterate := CLK_d default ((not stable) when CLK_144)
          | mx := (d when CLK_d) cell CLK_stable init 0.0e0
          | pre_next_yy := next_yy$1 init 1.0
          | next_stable := s<epsilon
          | s := (XZX_157 when CLK_81) default ((-XZX_157) when CLK_82)
          | XZX_157 := next_yy-yy
          |)
       |)
      where 
      event CLK_367, CLK_365, CLK_331, CLK_147, CLK_144, CLK_XZX_178, CLK_x21, CLK_137, CLK_121, CLK_a, CLK_89, CLK_x2, CLK_82, CLK_81, CLK_65, CLK_64, CLK_x, CLK_d;
      boolean stable, biterate, next_stable;
      real d, bb, x, yy, next_yy, mx, pre_next_yy, s, XZX_157, XZX_178, x1;
      process ACT_CLK_x2 =
           ( )
         (| CLK_x2 ^= y ^= bb_117 ^= x_182
          | (| x2 := x_182
             | y := yy when CLK_x2
             | bb_117 := XZX_178 when CLK_x2
             | x_182 := -((bb_117-y)/2.0)
             | x1 := -((bb_117+y)/2.0)
             |)
          |)
         where 
         real y, bb_117, x_182;
         end
      %ACT_CLK_x2%; 
      process ACT_CLK_a =
           ( )
         (| (| CLK_38 := when (a=0.0)
             | when (not (a=0.0)) ^= OK
             | OK ^= OK ^= bb
             | ACT_OK{}
             |) |)
         where 
         event CLK_38;
         process ACT_OK =
              ( )
            (| OK ^= cc ^= dd ^= aa ^= XZX ^= XZX_77
             | (| CLK_d := when (dd>0.0)
                | CLK_d ^= d
                | (| d := dd when CLK_d |)
                | CLK := when (not (dd>0.0))
                |)
             | (| CLK_x := when (dd=0.0)
                | CLK_x ^= x
                | ACT_CLK_x{}
                | CLK_23 := when (not (dd=0.0))
                |)
             | (| err := when (dd<0.0)
                | err ^= err
                | CLK_25 := when (not (dd<0.0))
                |)
             | (| CLK_130 := CLK_x ^+ err |)
             | (| CLK_132 := CLK_d ^+ CLK_130 |)
             | (| CLK_134 := CLK_d ^+ err |)
             | (| bb := XZX/aa
                | cc := XZX_77/aa
                | dd := (bb*bb)-(4.0*cc)
                | aa := a when OK
                | XZX := b when OK
                | XZX_77 := c when OK
                |)
             |)
            where 
            event CLK_134, CLK_132, CLK_130, CLK_25, CLK_23, CLK;
            real cc, dd, aa, XZX, XZX_77;
            process ACT_CLK_x =
                 ( )
               (| CLK_x ^= XZX_92
                | (| x := (-XZX_92)/2.0
                   | XZX_92 := bb when CLK_x
                   |)
                |)
               where 
               real XZX_92;
               end
            %ACT_CLK_x%; 
            end
         %ACT_OK%; 
         end
      %ACT_CLK_a%; 
      process ACT_CLK_x21 =
           ( )
         (| CLK_x21 ^= x_200
          | (| x21 := x_200
             | x_200 := (x1 when CLK_x2) default (x when CLK_147)
             |)
          |)
         where 
         real x_200;
         end
      %ACT_CLK_x21%; 
      end
   %ACT_CLK_stable%; 
   end
%SecondDegree_TRA%; 
