process equationSolving_bDC_TRA =
     ( ? real a, b, c;
       ! real x2, x1;
         boolean oc;
     )
   pragmas 
      Main
      DefinedClockHierarchy
   end pragmas
   (| (| Tick := true
       | ACT_Tick{}
       |)
    | (| {c --> x2} when C_282
       | {c --> x21} when C_279
       | {c --> err} when C_err
       | {c --> C_y} when C_282
       | {c --> C_err} when C_err
       | {c --> C_x} when C_279
       | {b --> x2} when C_282
       | {b --> x21} when C_279
       | {b --> err} when C_err
       | {b --> C_y} when C_282
       | {b --> C_err} when C_err
       | {b --> C_x} when C_279
       | {a --> x2} when C_282
       | {a --> x21} when C_279
       | {a --> err} when C_err
       | {a --> C_y} when C_282
       | {a --> C_bb} when C_bb
       | {a --> C_err} when C_err
       | {a --> C_x} when C_279
       |)
    |)
   where 
   constant real cst_epsilon = 0.0001;
   boolean Tick;
   process ACT_Tick =
        ( )
      (| when Tick ^= C_x ^= stable ^= C_y ^= C_279 ^= C_282 ^= C_cc_311 ^= C_u ^= C_363
       | (| when C_y ^= x2 |)
       | (| when C_x ^= x21 |)
       | (| when stable ^= a ^= b ^= c ^= C_bb ^= XZX_184
          | ACT_stable{}
          |)
       | (| when C_u ^= x1
          | ACT_C_u{}
          |)
       | (| (err,x21,x2,stable,C_y,C_bb,C_err,C_x) := SecondDegree_ABS(a,b,c)
          | C_279 := C_x and stable
          | C_282 := C_y and stable
          | C_cc_311 := left_tt ( C_cc,stable )
          | C_u := C_x or C_cc_311
          | C_363 := (not C_x) and C_cc_311
          |)
       |)
      where 
      boolean err, C_x, C_bb, C_err, stable, C_y, XZX_184, C_279, C_282, C_cc, C_cc_311, C_u, C_363;
      real x, x21;
      process ACT_stable =
           ( )
         (| when stable ^= OK ^= C_error_302 ^= err_317 ^= C_oc ^= C_360
          | (| when C_bb ^= C_err
             | ACT_C_bb{}
             |)
          | (| when XZX_184 ^= C_error ^= C_cc
             | ACT_XZX_184{}
             |)
          | (| when C_oc ^= oc
             | (| oc := (true when err) default (error when C_360) |)
             |)
          | (| OK := a/=0.0
             | XZX_184 := not OK
             | C_error_302 := left_tt ( C_error,XZX_184 )
             | err_317 := left_tt ( err,C_bb )
             | C_oc := C_error_302 or err_317
             | C_360 := (not err_317) and C_error_302
             |)
          |)
         where 
         boolean OK, error, C_error, C_error_302, err_317, C_oc, C_360;
         process ACT_C_bb =
              ( )
            (| (| when C_err ^= err |) |)
         %ACT_C_bb%; 
         process ACT_XZX_184 =
              ( )
            (| when XZX_184 ^= bb_1 ^= cc_2
             | (| when C_error ^= error
                | (| error := (cc_2/=0.0) when C_error |)
                |)
             | (| when C_cc ^= x
                | ACT_C_cc{}
                |)
             | (| bb_1 := b when XZX_184
                | cc_2 := c when XZX_184
                | C_error := bb_1=0.0
                | C_cc := not (bb_1=0.0)
                |)
             |)
            where 
            real bb_1, cc_2;
            process ACT_C_cc =
                 ( )
               (| when C_cc ^= bb ^= cc
                | (| x := -(cc/bb)
                   | bb := bb_1 when C_cc
                   | cc := cc_2 when C_cc
                   |)
                |)
               where 
               real bb, cc;
               end
            %ACT_C_cc%; 
            end
         %ACT_XZX_184%; 
         end
      %ACT_stable%; 
      process ACT_C_u =
           ( )
         (| when C_u ^= u
          | (| x1 := u
             | u := (x21 when C_x) default (x when C_363)
             |)
          |)
         where 
         real u;
         end
      %ACT_C_u%; 
      end
   %ACT_Tick%; 
   process SecondDegree_ABS =
        ( ? real a, b, c;
          ! boolean err;
            real x21, x2;
            boolean stable, C_y, C_bb, C_err, C_x;
        )
        spec (| (| {a,b,c} --> {err,x21,x2}
                 | {{a,b,c} --> C_y} when C_y
                 | {a --> C_bb} when C_bb
                 | {{a,b,c} --> C_err} when C_err
                 | {{a,b,c} --> C_x} when C_x
                 |)
              | (| stable ^= C_y ^= C_x
                 | when stable ^= a ^= b ^= c ^= C_bb
                 | when C_y ^= x2
                 | when C_bb ^= C_err
                 | when C_err ^= err
                 | when C_x ^= x21
                 |)
              |)
      pragmas 
         BlackBox "SecondDegree"
      end pragmas
      external "C"
   %SecondDegree_ABS%; 
   end
%equationSolving_bDC_TRA%; %(| C := not C_y
                             | C_270 := not C_x
                             | C_273 := not stable
                             | C_276 := not XZX_184
                             | C_bb_285 := left_tt ( C_bb,stable )
                             | C_288 := not C_bb
                             | C_err_291 := left_tt ( C_err,C_bb )
                             | C_err_294 := left_tt ( C_err,stable )
                             | C_297 := not C_err
                             | C_cc_308 := left_tt ( C_cc,XZX_184 )
                             | err_314 := left_tt ( err,C_err )
                             | C_320 := not err
                             | C_oc_326 := left_tt ( C_oc,stable )
                             | C_332 := C_x or C_err_294
                             | C_335 := C_y or C_err_294
                             | C_338 := C_335 or C_x
                             | C_341 := C_332 or C_bb_285
                             | C_344 := C_341 or C_y
                             | C_347 := C_344 or stable
                             | C_350 := C_u or C_oc_326
                             | C_353 := C_350 or C_err_294
                             | C_356 := C_353 or stable
                             |)***WARNING: unused signals 
%
%
