#include<stdio.h>
#include<X11/StringDefs.h>
#include<X11/Intrinsic.h>
#include<X11/cursorfont.h>
#include<Xm/MainW.h>
#include<Xm/Form.h>
#include<Xm/DrawingA.h>
#include<Xm/Label.h>
#include<Xm/PushB.h>
#include<Xm/Scale.h>

#define true 1
#define false 0

#include "graphical_const.h"

#include "common.c"    
#include "evtdouble_identity.c"    
#include "double_identity.c"
#include "pacemaker.c"
#include "creation_fen_m.c"


/*----------------
  X11 Declarations
  ----------------*/
XtAppContext app_context;
Widget toplevel,frame_widg;

bool vh = TRUE;
bool iter(vh)
  bool *vh;
{
  *vh = PROG_ITERATE;
  return(FALSE);
}

 
/*-------------------------------------------------------------------*/
int main()
  /******/
{
  static unsigned int argc;
  static char *argv[] = {PROGNAME};

  /*----------------
    Windows creation
    ----------------*/
  //  MrmInitialize(); 
  argc = 1;
  toplevel = XtVaAppInitialize(&app_context, PROGNAME, NULL, 0, &argc, argv, NULL, NULL);
  creation_fenetre_principale(toplevel);
  XtRealizeWidget(toplevel);


  /*-----------------------------------
    Initializations and loop activation 
    *-----------------------------------*/
  XtAppAddWorkProc(app_context,(void *)iter,&vh); 
  PROG_INITIALIZE;
  XtAppMainLoop(app_context);
}

/*-------------------
  Program termination
  -------------------*/
void WSTOP(long int *b)
{
  exit(0);
}
