module M_Q2_COST =
   type HomoType = external;
   constant HomoType NilHomoTypeValue = external;
   process Q2_COST =
        ( ? boolean OK, C_error, stable, C_cc_328;
            HomoType d_c, d_b, d_OK, d_stable, d_C_y, d_C_error_360, d_C_x1;
          ! HomoType d_x, d_error_253, d_C_cc, d_C_cc_328, d_C_error, d_C_error_342;
        )
      pragmas 
         main
      end pragmas
      (| (| CLK_stable := ^stable
          | CLK_stable ^= stable ^= d_stable ^= d_C_y ^= d_C_x1
          | CLK_stable ^= d_stable_internal ^= d_C_y_internal ^= d_C_x1_internal ^= d_CLK_stable ^= done_578 ^= done_581 ^= done_621 ^= done_624 ^= done_710 ^= done_713 ^= done_756 ^= done_759 ^= done_778 ^= done_786 ^= done_794 ^= done_802 ^= done_811 ^= 
            done_817 ^= done_823 ^= done_834 ^= done_845 ^= done_857 ^= done_887 ^= done_897 ^= done_916
          |)
       | (| CLK_c := when stable
          | CLK_c ^= OK ^= d_c ^= d_b ^= d_OK ^= d_C_error_360 ^= d_C_cc ^= d_C_error_342 ^= d_c_internal ^= d_b_internal ^= d_OK_internal ^= d_C_error_360_internal ^= d_C_cc_internal ^= d_C_error_342_internal ^= d_nlabel_84 ^= d_nlabel_85 ^= 
            d_nlabel_86 ^= d_CLK_c ^= done_628 ^= done_724 ^= done_733 ^= done_767
          | CLK_c ^= C_cc ^= done_610 ^= done_639 ^= done_648 ^= done_658 ^= done_676 ^= done_683 ^= done_716 ^= done_720 ^= done_729 ^= done_741 ^= done_763
          |)
       | (| CLK_C_cc_328 := when C_cc
          | CLK_C_cc_328 ^= C_error ^= C_cc_328 ^= d_C_cc_328 ^= d_C_error ^= d_C_cc_328_internal ^= d_C_error_internal ^= d_bb_258 ^= d_cc_259 ^= d_nlabel ^= d_CLK_C_cc_328 ^= done_584 ^= done_601
          | CLK_C_cc_328 ^= done ^= done_512 ^= done_516 ^= done_531 ^= XZX_540 ^= done_541 ^= XZX_553 ^= done_589 ^= done_593 ^= done_597 ^= XZX_651 ^= XZX_669
          |)
       | (| CLK_x := when C_cc_328
          | CLK_x ^= d_x ^= d_x_internal ^= d_bb_241 ^= d_cc_242 ^= d_CLK_x ^= XZX
          |)
       | (| CLK_error_253 := when C_error
          | CLK_error_253 ^= d_error_253 ^= d_error_253_internal ^= d_CLK_error_253
          |)
       | (| nlabel :: Q2_Cluster_1_M{}
          | nlabel ^= CLK_C_cc_328
          |)
       | (| done_584 := pack(d_error_253_internal,d_x_internal)
          | done_589 := pack(d_C_cc_328_internal,d_C_cc_internal)
          | done_593 := pack(d_C_error_internal,done_589)
          | done_597 := pack(d_bb_241,done_593)
          | done_601 := pack(d_cc_259,done_597)
          |)
       | (| nlabel_84 :: Q2_Cluster_2_M{}
          | nlabel_84 ^= CLK_c
          |)
       | (| nlabel_85 :: Q2_Cluster_3_M{}
          | nlabel_85 ^= CLK_c
          |)
       | (| nlabel_86 :: Q2_Cluster_4_M{}
          | nlabel_86 ^= CLK_c
          |)
       | (| C_cc := not OK
          | done_628 := pack(d_stable_internal,d_OK_internal)
          | done_716 := pack(d_C_error_internal,d_C_cc_328_internal)
          | done_720 := pack(d_C_error_342_internal,done_716)
          | done_724 := pack(d_bb_241,done_720)
          | done_729 := pack(d_stable_internal,d_b_internal)
          | done_733 := pack(d_C_cc_internal,done_729)
          | done_763 := pack(d_stable_internal,d_c_internal)
          | done_767 := pack(d_C_cc_internal,done_763)
          |)
       | (| (d_nlabel,done_578) := CostSubGraph(done_601,done_584,d_CLK_C_cc_328,done_581)
          | (d_nlabel_84,done_621) := CostSubGraph(done_628,d_C_cc_internal,d_CLK_c,done_624)
          | (d_nlabel_85,done_710) := CostSubGraph(done_733,done_724,d_CLK_c,done_713)
          | (d_nlabel_86,done_756) := CostSubGraph(done_767,d_cc_259,d_CLK_c,done_759)
          | d_CLK_stable := CostConst{__TC__#_event}()
          | (d_CLK_C_cc_328,done_778) := CostWhen1(d_C_cc_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
          | (d_CLK_c,done_786) := CostWhen1(d_stable_internal,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_CLK_x,done_794) := CostWhen1(d_C_cc_328_internal,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
          | (d_CLK_error_253,done_802) := CostWhen1(d_C_error_internal,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
          | (d_c_internal,done_811) := CostInput{__TC__#_real}(d_c,d_CLK_c,done_817)
          | (d_b_internal,done_823) := CostInput{__TC__#_real}(d_b,d_CLK_c,done_811)
          | (d_OK_internal,done_834) := CostInput{__TC__#_logical}(d_OK,d_CLK_c,done_823)
          | (d_stable_internal,done_845) := CostInput{__TC__#_logical}(d_stable,d_CLK_stable,NilHomoTypeValue when CLK_stable)
          | (d_C_y_internal,done_857) := CostInput{__TC__#_logical}(d_C_y,d_CLK_stable,done_845)
          | (d_C_error_360_internal,done_624) := CostInput{__TC__#_logical}(d_C_error_360,d_CLK_c,done_834)
          | (d_C_x1_internal,done_817) := CostInput{__TC__#_logical}(d_C_x1,d_CLK_stable,done_857)
          | (d_x,done_887) := CostOutput{__TC__#_real}(d_x_internal,d_CLK_x,done_578)
          | (d_error_253,done_897) := CostOutput{__TC__#_logical}(d_error_253_internal,d_CLK_error_253,done_887)
          | (d_C_cc,done_713) := CostOutput{__TC__#_logical}(d_C_cc_internal,d_CLK_c,done_621)
          | (d_C_cc_328,done_916) := CostOutput{__TC__#_logical}(d_C_cc_328_internal,d_CLK_C_cc_328,done_756)
          | (d_C_error,done_581) := CostOutput{__TC__#_logical}(d_C_error_internal,d_CLK_C_cc_328,done_916)
          | (d_C_error_342,done_759) := CostOutput{__TC__#_logical}(d_C_error_342_internal,d_CLK_c,done_710)
          |)
       |)
      where 
      event CLK_error_253, CLK_x, CLK_c, CLK_C_cc_328, CLK_stable;
      label nlabel_84, nlabel_85, nlabel_86; 
      label nlabel; 
      process Q2_Cluster_1_M =
           ( ? event CLK_error_253, CLK_x, CLK_C_cc_328;
               HomoType d_bb_241, d_cc_259, d_CLK_C_cc_328, d_CLK_x, d_CLK_error_253;
             ! HomoType d_x_internal, d_error_253_internal, d_cc_242, done, done_512, XZX, done_516, done_531, XZX_540, done_541, XZX_553;
           )
         (| (| CLK_C_cc_328 ^= d_cc_259 ^= d_CLK_C_cc_328 ^= done ^= done_512 ^= done_516 ^= done_531 ^= XZX_540 ^= done_541 ^= XZX_553
             | CLK_x ^= d_x_internal ^= d_bb_241 ^= d_cc_242 ^= d_CLK_x ^= XZX
             | CLK_error_253 ^= d_error_253_internal ^= d_CLK_error_253
             |)
          | (XZX,done_516) := CostDivi{__TC__#_real,__TC__#_real}(d_cc_242,d_bb_241,d_CLK_x,NilHomoTypeValue when CLK_x)
          | (d_x_internal,done) := CostUMinus{__TC__#_real}(XZX,d_CLK_x,done_512)
          | XZX_553 := CostConst{__TC__#_real}()
          | (XZX_540,done_541) := CostNEQ{__TC__#_real,__TC__#_real}(d_cc_259,XZX_553,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
          | (d_error_253_internal,done_531) := CostWhen{__TC__#_logical}(XZX_540,d_CLK_error_253,done)
          | (d_cc_242,done_512) := CostWhen{__TC__#_real}(d_cc_259,d_CLK_x,NilHomoTypeValue when CLK_x)
          |)
      %Q2_Cluster_1_M%; 
      process Q2_Cluster_2_M =
           ( ? event CLK_c;
               boolean C_cc;
               HomoType d_OK_internal, d_CLK_c;
             ! HomoType d_C_cc_internal, done_610;
           )
         (| (| CLK_c ^= C_cc ^= d_OK_internal ^= d_C_cc_internal ^= d_CLK_c ^= done_610 |)
          | (d_C_cc_internal,done_610) := CostNot(d_OK_internal,d_CLK_c,NilHomoTypeValue when CLK_c)
          |)
      %Q2_Cluster_2_M%; 
      process Q2_Cluster_3_M =
           ( ? event CLK_c, CLK_C_cc_328;
               boolean C_error, C_cc_328;
               HomoType d_b_internal, d_C_cc_internal, d_CLK_C_cc_328, d_CLK_c, d_CLK_x;
             ! HomoType d_C_cc_328_internal, d_C_error_internal, d_C_error_342_internal, d_bb_241, d_bb_258, done_639, done_648, XZX_651, done_658, XZX_669, done_676, done_683;
           )
         (| (| CLK_C_cc_328 ^= C_error ^= C_cc_328 ^= d_C_cc_328_internal ^= d_C_error_internal ^= d_bb_258 ^= d_CLK_C_cc_328 ^= XZX_651 ^= XZX_669
             | CLK_c ^= d_b_internal ^= d_C_cc_internal ^= d_C_error_342_internal ^= d_CLK_c ^= done_639 ^= done_648 ^= done_658 ^= done_676 ^= done_683
             | CLK_x ^= d_bb_241 ^= d_CLK_x
             |)
          | XZX_651 := CostConst{__TC__#_real}()
          | (d_C_cc_328_internal,done_639) := CostNEQ{__TC__#_real,__TC__#_real}(d_bb_258,XZX_651,d_CLK_C_cc_328,done_648)
          | XZX_669 := CostConst{__TC__#_real}()
          | (d_C_error_internal,done_658) := CostEQ{__TC__#_real,__TC__#_real}(d_bb_258,XZX_669,d_CLK_C_cc_328,done_639)
          | (d_C_error_342_internal,done_676) := CostLeftTT(d_C_error_internal,d_C_cc_internal,d_CLK_c,done_658)
          | (d_bb_241,done_683) := CostWhen{__TC__#_real}(d_bb_258,d_CLK_x,NilHomoTypeValue when CLK_x)
          | (d_bb_258,done_648) := CostWhen{__TC__#_real}(d_b_internal,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
          |)
      %Q2_Cluster_3_M%; 
      process Q2_Cluster_4_M =
           ( ? event CLK_c, CLK_C_cc_328;
               HomoType d_c_internal, d_CLK_C_cc_328;
             ! HomoType d_cc_259, done_741;
           )
         (| (| CLK_C_cc_328 ^= d_cc_259 ^= d_CLK_C_cc_328
             | CLK_c ^= d_c_internal ^= done_741
             |)
          | (d_cc_259,done_741) := CostWhen{__TC__#_real}(d_c_internal,d_CLK_C_cc_328,NilHomoTypeValue when CLK_C_cc_328)
          |)
      %Q2_Cluster_4_M%; 
      boolean C_cc;
      HomoType d_c_internal, d_b_internal, d_OK_internal, d_stable_internal, d_C_y_internal, d_C_error_360_internal, d_C_x1_internal, d_x_internal, d_error_253_internal, d_C_cc_internal, d_C_cc_328_internal, d_C_error_internal, d_C_error_342_internal, 
               d_bb_241, d_cc_242, d_bb_258, d_cc_259, d_nlabel, d_nlabel_84, d_nlabel_85, d_nlabel_86, d_CLK_stable, d_CLK_C_cc_328, d_CLK_c, d_CLK_x, d_CLK_error_253, done, done_512, XZX, done_516, done_531, XZX_540, done_541, XZX_553, done_578, 
               done_581, done_584, done_589, done_593, done_597, done_601, done_610, done_621, done_624, done_628, done_639, done_648, XZX_651, done_658, XZX_669, done_676, done_683, done_710, done_713, done_716, done_720, done_724, done_729, done_733, 
               done_741, done_756, done_759, done_763, done_767, done_778, done_786, done_794, done_802, done_811, done_817, done_823, done_834, done_845, done_857, done_887, done_897, done_916;
      end
   %Q2_COST%; 
   use Cost_Context, STD, COSTBIB; 
end %M_Q2_COST%; 
