
typedef enum{FIFO, PRIORITY} QueuingDiscipline_type;

// Buffer
struct BufferStatus_type
{
  MessageRange_type Nb_Message;
  MessageRange_type Max_Message;
  MessageSize_type Message_Size;
  WaitingRange_type Waiting_Processes; 
};

struct APEX_Buffer_type
{
  Comm_ComponentName_type Buffer_Name;
  Message_type Message_Range[MAX_BUFFER_SIZE];
  MessageRange_type Nb_Message;
  MessageRange_type Max_Message;
  MessageSize_type Message_Size;
  WaitingRange_type WaitingOnSend_Processes;
  WaitingRange_type WaitingOnReceive_Processes;
  QueuingDiscipline_type Queuing_Discipline;
  QueueAddress_type WaitingOnSend_Queue;
  QueueAddress_type WaitingOnReceive_Queue; 
};
